package com.sky.ioc.service.canteen;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.web.bind.annotation.RequestBody;

import java.text.ParseException;

/**
 * TODO
 * @Description 餐厅
 * @Author LunCe
 * @date 2023/2/22 11:29
 */
public interface RestaurantService {
    ReturnMsg getPaymentAnalysis(IocParam iocParam);

    ReturnMsg getCoreIndicators(IocParam iocParam);

    ReturnMsg getWelcomeDishes(IocParam iocParam);

    ReturnMsg getConsumptionAnalysis(IocParam iocParam);

    ReturnMsg getTodayMenu();

    ReturnMsg getProfitAnalysis(IocParam iocParam) throws ParseException;

    ReturnMsg getMealAnalysis(IocParam iocParam);

    ReturnMsg getRestaurantConsumption(IocParam iocParam);

    ReturnMsg getRestaurantConsumptionChart(IocParam iocParam);

    ReturnMsg getOrderData();
}
